Uses of Interface
org.forgerock.http.Filter
Packages that use Filter
Package
Description
This package defines the authentication framework classes for the authentication of messages
via authentication contexts and modules.
Core
Filter implementations.Support for CORS.
Core
Handler implementations.This package provides APIs for OAuth 2.0 services implementations.
Provides routing functionality for HTTP requests.
Classes and interfaces for core types including connections, request
handlers, resources, and their exceptions.
OAuth 2.0 ForgeRock Client Implementation.
-
Uses of Filter in org.forgerock.caf.authentication.framework
Classes in org.forgerock.caf.authentication.framework that implement FilterModifier and TypeClassDescriptionfinal classA HTTPFilterthat will protect all downstream filters or handlers. -
Uses of Filter in org.forgerock.http.filter
Classes in org.forgerock.http.filter that implement FilterModifier and TypeClassDescriptionfinal classA generic filter for preventing cross-site request forgery (CSRF) attacks when using cookie-based authentication.final classFilterwhich handles OPTION HTTP requests to CREST resources.classThis filter is responsible to create theTransactionIdContextin the context's chain.classThis filter aims to create a sub-transaction's id and inserts that value as a header of the request.Methods in org.forgerock.http.filter that return FilterModifier and TypeMethodDescriptionstatic FilterCreates aFilterwhich encapsulates the provided filters into a singleFilter.static FilterCreates aFilterwhich encapsulates the provided filters into a singleFilter.static FilterFilters.conditionalFilter(Filter delegate, BiPredicate<Context, Request> condition) Create a Filter decorator that only delegates to the decorated filter if the supplied predicate returns true.static FilterFilters.newAsyncSessionFilter(AsyncSessionManager sessionManager) Creates a sessionFilterthat will use the providedAsyncSessionManagerto manage the users session.static FilterFilters.newBearerTokenAuthFilter(SecretReference<GenericSecret> tokenReference) Creates an authenticationFilterthat puts a Bearer Authorization header in the request.static FilterFilters.newBearerTokenAuthFilterWithoutRetry(SecretReference<GenericSecret> tokenReference) Creates an authenticationFilterthat puts a Bearer Authorization header in the request.static FilterFilters.newDefaultCsrfFilter(String cookieName) Creates a filter that protects against cross-site request forgery (CSRF) attacks when using cookies for authentication.static FilterFilters.newHttpBasicAuthenticationFilter(String username, SecretReference<GenericSecret> password) Deprecated, for removal: This API element is subject to removal in a future version.static FilterFilters.newHttpBasicAuthenticationFilter(String username, SecretReference<GenericSecret> password, Charset charset) Deprecated, for removal: This API element is subject to removal in a future version.static FilterFilters.newHttpBasicAuthenticationFilter(CredentialPair<GenericSecret> credentialPair) Creates an authenticationFilterthat puts a Basic Authorization header in the request.static FilterFilters.newHttpBasicAuthenticationFilter(CredentialPair<GenericSecret> credentialPair, Charset charset) Creates an authenticationFilterthat puts a Basic Authorization header in the request.static FilterFilters.newOptionsFilter(String... allowedMethods) Creates aFilterwhich handles HTTP OPTIONS method requests.static FilterFilters.newSessionFilter(SessionManager sessionManager) Deprecated.static FilterFilters.newUrlEncodedHttpBasicAuthFilter(String username, SecretReference<GenericSecret> password) Deprecated, for removal: This API element is subject to removal in a future version.static FilterFilters.newUrlEncodedHttpBasicAuthFilter(CredentialPair<GenericSecret> credentialPair) Creates an authenticationFilterthat put a Basic Authorization header in the request.static FilterFilters.requestCopyFilter()Methods in org.forgerock.http.filter with parameters of type FilterModifier and TypeMethodDescriptionstatic FilterCreates aFilterwhich encapsulates the provided filters into a singleFilter.static FilterFilters.conditionalFilter(Filter delegate, BiPredicate<Context, Request> condition) Create a Filter decorator that only delegates to the decorated filter if the supplied predicate returns true.Method parameters in org.forgerock.http.filter with type arguments of type Filter -
Uses of Filter in org.forgerock.http.filter.cors
Classes in org.forgerock.http.filter.cors that implement FilterModifier and TypeClassDescriptionclassThis filters implements the resource processing of the CORS protocol. -
Uses of Filter in org.forgerock.http.handler
Methods in org.forgerock.http.handler with parameters of type FilterModifier and TypeMethodDescriptionstatic DescribableHandlerCreates aHandlerwhich wraps the provided filters around the provided target handler.static DescribableHandlerCreates a "filtered handler" instance.Method parameters in org.forgerock.http.handler with type arguments of type Filter -
Uses of Filter in org.forgerock.http.oauth2
Classes in org.forgerock.http.oauth2 that implement FilterModifier and TypeClassDescriptionclassDeprecated.since 26.2.classAFilterimplementation to add the credentials to request body for authenticating as per the OAuth 2.0 Authorization Framework specification.classAFilterimplementation to add the client credentials to request as signed then encrypted private key jwt as per the OpenID Connect Client Authentication specification.classAFilterimplementation for adding the client credentials to request as signed private key jwt as per the OpenID Connect Client Authentication specification.classValidates aRequestthat contains an OAuth 2.0 access token. -
Uses of Filter in org.forgerock.http.routing
Classes in org.forgerock.http.routing that implement FilterModifier and TypeClassDescriptionclassAPI Version routing filter which creates aApiVersionRouterContextwhich contains the default routing behaviour when the Accept-API-Version header is set on the request.Methods in org.forgerock.http.routing that return FilterModifier and TypeMethodDescriptionstatic FilterRouteMatchers.resourceApiVersionContextFilter(ResourceApiVersionBehaviourManager behaviourManager) Creates aFilterwhich MUST be placed, in the route, before any API Version routing takes place. -
Uses of Filter in org.forgerock.json.resource
Classes in org.forgerock.json.resource that implement FilterModifier and TypeClassDescriptionclassAPI Version routing filter which creates aApiVersionRouterContextwhich contains the default routing behaviour when the Accept-API-Version header is set on the request. -
Uses of Filter in org.forgerock.oauth.clients.oauth2
Methods in org.forgerock.oauth.clients.oauth2 that return FilterModifier and TypeMethodDescriptionOAuth2ClientConfiguration.getAuthenticationFilter()Gets the filter that will update the request with authentication information on the request sent to the OAuth provider.Methods in org.forgerock.oauth.clients.oauth2 with parameters of type FilterModifier and TypeMethodDescriptionOAuth2ClientConfiguration.Builder.withClientAuthenticationFilter(Filter filter) Sets the client authentication filter capable of sending authentication information to the OAuth provider.
Filters.newHttpBasicAuthenticationFilter(CredentialPair)instead